< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package declaration_ds
  Definition Classes
    wco
-  package dms
  Definition Classes
    declaration_ds
-  package _2
  Definition Classes
    dms
- AEOMutualRecognitionPartyIdentificationIDType
- AEOMutualRecognitionPartyRoleCodeType
- AdditionalDocumentCategoryCodeType
- AdditionalDocumentEffectiveDateTimeType
- AdditionalDocumentIdentificationIDType
- AdditionalDocumentLPCOExemptionCodeType
- AdditionalDocumentNameTextType
- AdditionalDocumentTypeCodeType
- AdditionalInformationStatementCodeType
- AdditionalInformationStatementDescriptionTextType
- AdditionalInformationStatementTypeCodeType
- AddressCityNameTextType
- AddressCountryCodeType
- AddressCountrySubDivisionCodeType
- AddressCountrySubDivisionNameTextType
- AddressLineTextType
- AddressPostcodeIDType
- AddressTypeCodeType
- AgentFunctionCodeType
- AgentIdentificationIDType
- AgentNameTextType
- AmendmentChangeReasonCodeType
- ArrivalTransportMeansIdentificationIDType
- ArrivalTransportMeansIdentificationTypeCodeType
- ArrivalTransportMeansModeCodeType
- ArrivalTransportMeansNameTextType
- ArrivalTransportMeansTypeCodeType
- AuthenticationAuthenticationTextType
- AuthenticatorNameTextType
- AuthorisationHolderCategoryCodeType
- AuthorisationHolderIdentificationIDType
- BorderTransportMeansIdentificationIDType
- BorderTransportMeansIdentificationTypeCodeType
- BorderTransportMeansModeCodeType
- BorderTransportMeansNameTextType
- BorderTransportMeansRegistrationNationalityCodeType
- BorderTransportMeansTypeCodeType
- BuyerIdentificationIDType
- BuyerNameTextType
- CarrierIdentificationIDType
- CarrierNameTextType
- ChargeDeductionChargesTypeCodeType
- ChargeDeductionOtherChargeDeductionAmountType
- ClassificationBindingTariffReferenceIDType
- ClassificationIdentificationIDType
- ClassificationIdentificationTypeCodeType
- ClassificationNameCodeType
- CommodityDescriptionTextType
- CommunicationIdentificationIDType
- CommunicationTypeCodeType
- ConsigneeIdentificationIDType
- ConsigneeNameTextType
- ConsignmentContainerCodeType
- ConsignorIdentificationIDType
- ConsignorNameTextType
- ContactNameTextType
- CurrencyExchangeCurrencyTypeCodeType
- CustomsValuationFreightChargeAmountType
- CustomsValuationMethodCodeType
- DangerousGoodsUNDGIDType
- DeclarantIdentificationIDType
- DeclarantNameTextType
- DeclarationAcceptanceDateTimeType
- DeclarationDeclarationOfficeIDType
- DeclarationFunctionCodeType
- DeclarationFunctionalReferenceIDType
- DeclarationGoodsItemQuantityType
- DeclarationIdentificationIDType
- DeclarationInvoiceAmountType
- DeclarationIssueDateTimeType
- DeclarationIssueLocationIdentificationIDType
- DeclarationLoadingListQuantityType
- DeclarationSpecificCircumstancesCodeCodeType
- DeclarationTotalGrossMassMeasureType
- DeclarationTotalPackageQuantityType
- DeclarationTypeCodeType
- DepartureTransportMeansIdentificationIDType
- DepartureTransportMeansIdentificationTypeCodeType
- DepartureTransportMeansModeCodeType
- DepartureTransportMeansNameTextType
- DepartureTransportMeansTypeCodeType
- DestinationCountryCodeType
- DestinationRegionIDType
- DomesticDutyTaxPartyIdentificationIDType
- DomesticDutyTaxPartyRoleCodeType
- DutyTaxFeeAdValoremTaxBaseAmountType
- DutyTaxFeeDeductAmountType
- DutyTaxFeeDutyRegimeCodeType
- DutyTaxFeeQuotaOrderIDType
- DutyTaxFeeSpecificTaxBaseQuantityType
- DutyTaxFeeTypeCodeType
- ExitOfficeIdentificationIDType
- ExportCountryCountryCodeType
- ExporterIdentificationIDType
- ExporterNameTextType
- FreightPaymentMethodCodeType
- GoodsLocationIdentificationIDType
- GoodsLocationNameTextType
- GoodsLocationTypeCodeType
- GoodsMeasureGrossMassMeasureType
- GoodsMeasureNetNetWeightMeasureType
- GoodsMeasureTariffQuantityType
- GoodsShipmentExitDateTimeType
- GoodsShipmentTransactionNatureCodeType
- GovernmentAgencyGoodsItemCustomsValueAmountType
- GovernmentAgencyGoodsItemStatisticalValueAmountType
- GovernmentAgencyGoodsItemTransactionNatureCodeType
- GovernmentProcedureCurrentCodeType
- GovernmentProcedurePreviousCodeType
- GuaranteeOfficeIdentificationIDType
- ImporterIdentificationIDType
- ImporterNameTextType
- InvoiceIdentificationIDType
- InvoiceIssueDateTimeType
- InvoiceLineItemChargeAmountType
- ItineraryRoutingCountryCodeType
- LoadingLocationIdentificationIDType
- LoadingLocationNameTextType
- ManufacturerIdentificationIDType
- ManufacturerNameTextType
- ObjectFactory
- ObligationGuaranteeAccessCodeType
- ObligationGuaranteeAmountAmountType
- ObligationGuaranteeIdentificationIDType
- ObligationGuaranteeReferenceIDType
- ObligationGuaranteeSecurityDetailsCodeType
- OriginCountryCodeType
- OriginRegionIDType
- OriginTypeCodeType
- PackagingHeightMeasureType
- PackagingLengthMeasureType
- PackagingMarksNumbersIDType
- PackagingPackingMaterialDescriptionTextType
- PackagingQuantityQuantityType
- PackagingTypeCodeType
- PackagingVolumeMeasureType
- PackagingWidthMeasureType
- PayerIdentificationIDType
- PayerNameTextType
- PaymentMethodCodeType
- PaymentPaymentAmountType
- PaymentTaxAssessedAmountType
- PointerDocumentSectionCodeType
- PointerTagIDType
- PresentationOfficeIdentificationIDType
- PreviousDocumentCategoryCodeType
- PreviousDocumentIdentificationIDType
- PreviousDocumentTypeCodeType
- RefundRecipientPartyIdentificationIDType
- RefundRecipientPartyNameTextType
- SealIdentificationIDType
- SellerIdentificationIDType
- SellerNameTextType
- SubmitterIdentificationIDType
- SubmitterNameTextType
- SubmitterRoleCodeType
- SupervisingOfficeIdentificationIDType
- SuretyIdentificationIDType
- SuretyNameTextType
- TradeTermsConditionCodeType
- TradeTermsCountryRelationshipCodeType
- TradeTermsDescriptionTextType
- TradeTermsLocationIDType
- TradeTermsLocationNameTextType
- TransportEquipmentIdentificationIDType
- UCRIdentificationIDType
- UCRTraderAssignedReferenceIDType
- ValuationAdjustmentAdditionCodeType
- WarehouseIdentificationIDType
- WarehouseTypeCodeType
- WriteOffAmountAmountType
- WriteOffQuantityQuantityType

c

wco.datamodel.wco.declaration_ds.dms._2

# ValuationAdjustmentAdditionCodeType 

###

#### class ValuationAdjustmentAdditionCodeType extends CodeType

    <?xml version="1.0" encoding="UTF-8"?><WCOID xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">188</WCOID>

    <?xml version="1.0" encoding="UTF-8"?><WCOFormat xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">an..4</WCOFormat>

Java class for ValuationAdjustmentAdditionCodeType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ValuationAdjustmentAdditionCodeType">
      <simpleContent>
        <restriction base="<urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6>CodeType">
        </restriction>
      </simpleContent>
    </complexType>

Linear Supertypes
CodeType, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValuationAdjustmentAdditionCodeType
2. CodeType
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ValuationAdjustmentAdditionCodeType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getLanguageID(): String

    Gets the value of the languageID property.

    Gets the value of the languageID property.

    returns

      possible object is ``

    Definition Classes
      CodeType
11.  def getListAgencyID(): String

    Gets the value of the listAgencyID property.

    Gets the value of the listAgencyID property.

    returns

      possible object is ``

    Definition Classes
      CodeType
12.  def getListAgencyName(): String

    Gets the value of the listAgencyName property.

    Gets the value of the listAgencyName property.

    returns

      possible object is ``

    Definition Classes
      CodeType
13.  def getListID(): String

    Gets the value of the listID property.

    Gets the value of the listID property.

    returns

      possible object is ``

    Definition Classes
      CodeType
14.  def getListName(): String

    Gets the value of the listName property.

    Gets the value of the listName property.

    returns

      possible object is ``

    Definition Classes
      CodeType
15.  def getListSchemeURI(): String

    Gets the value of the listSchemeURI property.

    Gets the value of the listSchemeURI property.

    returns

      possible object is ``

    Definition Classes
      CodeType
16.  def getListURI(): String

    Gets the value of the listURI property.

    Gets the value of the listURI property.

    returns

      possible object is ``

    Definition Classes
      CodeType
17.  def getListVersionID(): String

    Gets the value of the listVersionID property.

    Gets the value of the listVersionID property.

    returns

      possible object is ``

    Definition Classes
      CodeType
18.  def getName(): String

    Gets the value of the name property.

    Gets the value of the name property.

    returns

      possible object is ``

    Definition Classes
      CodeType
19.  def getValue(): String

    Gets the value of the value property.

    Gets the value of the value property.

    returns

      possible object is ``

    Definition Classes
      CodeType
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def setLanguageID(value: String): Unit

    Sets the value of the languageID property.

    Sets the value of the languageID property.

    value

      allowed object is ``

    Definition Classes
      CodeType
26.  def setListAgencyID(value: String): Unit

    Sets the value of the listAgencyID property.

    Sets the value of the listAgencyID property.

    value

      allowed object is ``

    Definition Classes
      CodeType
27.  def setListAgencyName(value: String): Unit

    Sets the value of the listAgencyName property.

    Sets the value of the listAgencyName property.

    value

      allowed object is ``

    Definition Classes
      CodeType
28.  def setListID(value: String): Unit

    Sets the value of the listID property.

    Sets the value of the listID property.

    value

      allowed object is ``

    Definition Classes
      CodeType
29.  def setListName(value: String): Unit

    Sets the value of the listName property.

    Sets the value of the listName property.

    value

      allowed object is ``

    Definition Classes
      CodeType
30.  def setListSchemeURI(value: String): Unit

    Sets the value of the listSchemeURI property.

    Sets the value of the listSchemeURI property.

    value

      allowed object is ``

    Definition Classes
      CodeType
31.  def setListURI(value: String): Unit

    Sets the value of the listURI property.

    Sets the value of the listURI property.

    value

      allowed object is ``

    Definition Classes
      CodeType
32.  def setListVersionID(value: String): Unit

    Sets the value of the listVersionID property.

    Sets the value of the listVersionID property.

    value

      allowed object is ``

    Definition Classes
      CodeType
33.  def setName(value: String): Unit

    Sets the value of the name property.

    Sets the value of the name property.

    value

      allowed object is ``

    Definition Classes
      CodeType
34.  def setValue(value: String): Unit

    Sets the value of the value property.

    Sets the value of the value property.

    value

      allowed object is ``

    Definition Classes
      CodeType
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from CodeType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped